<template>
  <div class="container">
    <h1 class="error-message">Упс. Схоже, що ви не авторизовані.</h1>
    <h2>Щоб отримати повний доступ до сайту, потрібно авторизуватись</h2>
    <button @click="goToLoginPage">Перейти до сторінки авторизації</button><br>
    <button @click="goToAboutPage">Повернутись назад</button>
  </div>
</template>

<script>
export default {
  name: 'DialogView',
  methods: {
      goToLoginPage() {
      this.$router.push('/login');
    },
    goToAboutPage() {
      this.$router.push('/');
    },
  },
};
</script>

<style lang="scss" scoped>
$primary-color: #f7f7f7; 

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 81.2vh;
}

.error-message {
  color: $primary-color;
  font-size: 34px;
  margin-bottom: 20px;
}

h2 {
  color: #ccbbbb;  
  font-size: 28px;
  margin-bottom: 20px;
}

button {
  background-color: #666; 
  color: #fff; 
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
}

button:hover {
  background-color: #444; 
}
</style>
